COREINJECT(1)

NAME
coreinject - inject binary dumps from minicoredumper(1) into a core file

SYNOPSIS
coreinject [OPTION]... core symbol.map binary-dump...

DESCRIPTION
If an application using libminicoredumper(7) registers a binary dump to not be included in the core file, the minicoredumper(1) will create a separate dump file containing the contents of that variable. A symbol map file symbol.map is also created by the minicoredumper(1). Using these files, coreinject can inject that binary data into the stripped core file for use with gdb(1).

The options are as follows:

--data=IDENT:SIZE@SRCFILE+SRCOFF
    Inject SIZE bytes of data at offset SRCOFF of file SRCFILE to the core(5). The data is injected at the location of the IDENT as stored in the symbol map. This option is useful for injecting data other than that which was actually dumped by the minicoredumper(1).

NOTES
If the binary dump used MCD_DATA_PTR_DIRECT, the separate binary file contains exactly that data. If MCD_DATA_PTR_INDIRECT was used, the separate binary file contains first the pointer value followed by the data pointed to by the pointer.

EXAMPLE
Insert the binary data in bdump.bin into core.

    coreinject core symbol.map bdump.bin

SEE ALSO
minicoredumper(1), libminicoredumper(7), mcd_dump_data_register_bin(3)

The DiaMon Workgroup: <http://www.diamon.org>